### Method

# Gtk Editableget_text

#### Declaration [src]

    const char*
    gtk_editable_get_text (
      GtkEditable* editable
    )

#### Description [src]

Retrieves the contents of `editable`.

The returned string is owned by GTK and must not be modified or freed.

Gets property | `Gtk.Editable:text`

#### Return value

Type: `const char*`

A pointer to the contents of the editable.

The data is owned by the instance.
The value is a NUL terminated UTF-8 string.